Множественные уязвимости в CMScout

Дата публикации:
12.01.2009
Дата изменения:
12.01.2009
Всего просмотров:
1538
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CMScout 2.x
Уязвимые версии: CMScout 2.06, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php, когда параметр "page" установлен в значение "mythings". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии index.php, когда параметр "page" установлен в значение "users" и параметр "subpage" равен "users_view". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости требуется доступ к административной части приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "bit" в сценариях index.php и admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.cmscout.co.za

Решение: Установите последнюю версию 2.07 с сайта производителя.

Ссылки: http://www.milw0rm.com/exploits/7625

или введите имя

CAPTCHA